User Properties

Unset User Property

POST https://api.fyno.io/v1/{WSID}/{version}/profiles/properties/unset

This API enables you to unset (nullify) user properties of your users listed in your User Profiles. If the specified distinct ID or property doesn't exist, it simply accepts the unset request and ignores it. This API can be used to unset all property data types: String, Number, Boolean, Date, List.

Authorization

Authorizationheaderstringrequired

Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path Parameters

WSIDpathstringrequired

Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.

versionpathenum (string)required

Specify the version for which you would like to update the user property.

Allowed valueslivetest

Body

$unsetbodyarray of stringrequired

Enter the property names to unset in an array

distinct_idbodystringrequired

Enter the distinct ID that you use to identify the recipient.

Response

application/json

Request has been accepted and will be processed asynchronously.

request_idstringrequired